﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post8706
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-16363639.012771, 8878925.2042044, -4241337.8251394, 572360.46788562);
                Map1.MapUnit = GeographyUnit.Meter;

                GoogleOverlay googleOverlay = new GoogleOverlay("GoogleOverlay");
                Map1.CustomOverlays.Add(googleOverlay);

                PointMarkerStyle markerStyle = new PointMarkerStyle();
                markerStyle.Popup.ContentHtml = "<div style='font-size:11px'>popup</div>";
                markerStyle.Popup.HasCloseButton = true;

                ClusterMarkerStyle clusterMarkerStyle = new ClusterMarkerStyle();
                clusterMarkerStyle.MapWidth = 1200;
                clusterMarkerStyle.MapHeight = 900;
                clusterMarkerStyle.DistanceInPixel = 20;
                clusterMarkerStyle.MarkerStyle = markerStyle;

                InMemoryMarkerOverlay markerOverlay1 = new InMemoryMarkerOverlay("MarkerOverlay");
                markerOverlay1.Features.Add(new Feature(-11975542.093828, 4784346.4737598, "point1"));
                markerOverlay1.Features.Add(new Feature(-8649002.6233203, 4745210.7152832, "point2"));
                markerOverlay1.Features.Add(new Feature(-11623320.267539, 4970241.3265234, "point3"));

                markerOverlay1.ZoomLevelSet.ZoomLevel01.CustomMarkerStyle = clusterMarkerStyle;
                markerOverlay1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                markerOverlay1.Click += new EventHandler<MarkerOverlayClickEventArgs>(markerOverlay1_Click);
                Map1.CustomOverlays.Add(markerOverlay1);
            }
        }

        void markerOverlay1_Click(object sender, MarkerOverlayClickEventArgs e)
        {
            switch (e.FeatureId)
            {
                case "point1":
                    Label1.Text = "point1"; break;
                case "point2":
                    Label1.Text = "point2"; break;
                case "point3":
                    Label1.Text = "point3"; break;
                default:
                    Label1.Text = "this maker doesn't exist"; break;
            }
        }
    }
}
